Package com.logicaldoc.core.document

# Class DocumentComparator

java.lang.Object
com.logicaldoc.core.document.DocumentComparator

All Implemented Interfaces:
  `Comparator<AbstractDocument>`

public abstract class DocumentComparator extends Object implements Comparator<AbstractDocument>
Comparators to sort documents with different options

Since:
  7.6.1
Author:
  Marco Meschieri - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`static Comparator<AbstractDocument>`
`getComparator(String sort)`
`static Comparator<AbstractDocument>`
`getComparator(List<DocumentComparator> multipleOptions)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`compare, equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Method Details

### getComparator

public static Comparator<AbstractDocument> getComparator(String sort)

### getComparator

public static Comparator<AbstractDocument> getComparator(List<DocumentComparator> multipleOptions)